Request from either producer/merchant to another producer/merchant.
GET /v25.0/{cpas-collaboration-request-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{cpas-collaboration-request-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{cpas-collaboration-request-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{cpas-collaboration-request-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{cpas-collaboration-request-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Field | Description |
|---|---|
idnumeric string | The id of the object |
ad_account_idstring | Brand's ad account id if the request is a Self-Serve request |
ad_account_namestring | Brand's ad account name if the request is a Self-Serve request |
brandslist<string> | brands |
catalog_segment | Catalog Segment shared from merchant to producer if the request is a Self-Serve request |
contact_emailstring | contact_email |
contact_first_namestring | contact_first_name |
contact_last_namestring | contact_last_name |
creation_timedatetime | creation_time |
phone_numberstring | The phone number of the request sender |
receiver_business | Business that is receiving the collaboration request. |
requester_agency_or_brandenum | requester_agency_or_brand |
seller_idstring | Seller id if the request is a Self-Serve request |
sender_business | sender_business |
sender_client_business | Business which the sender business is representing in the request |
shop_urlstring | Shop url if the request is a Self-Serve request |
statusenum | The status of the request handled by the receiver |
| Error | Description |
|---|---|
| 100 | Invalid parameter |